<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Testing JavaScript</title>
  <script>
    function change_paragraph() {
      var inputText = document.getElementById('my-input-text');
      var paragraph = document.getElementById('change-me');
      console.log(inputText.value);
      paragraph.innerHTML = inputText.value;
    }
  </script>
</head>

<body>
  <input type='text' id="my-input-text" placeholder="Enter heare your text" /><br />

  <button type='button' id="my-button" onclick="change_paragraph()">Change the paragraph</button>
  <p id="change-me">Nothing done yet</p>
</body>

</html>